Bug 961875 - No way to copy productid.xml when cloning a repo
No way to copy productid.xml when cloning a repo
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.2
Assigned To: Jason Connor
Preethi Thomas
: Triaged
Depends On:
Blocks: 950743 970232 974663
  Show dependency treegraph
 
Reported: 2013-05-10 11:31 EDT by Justin Sherrill
Modified: 2013-09-10 11:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 970232 974663 (view as bug list)
Environment:
Last Closed: 2013-09-10 11:45:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-05-10 11:31:41 EDT
Description of problem:

RHEL content includes a productid(.gz) file that identifies the product.  Pulp should sync this file down and publish it via a distributor.  Currently it is not doing that.  The result is that machines provisioned from kickstarts trees within pulp will not have the correct product certificate installed and thus will not attach to the correct repos or even indicate that they have a product installed that requires a subscription.  


Version-Release number of selected component (if applicable):
2.1.1

How reproducible:
always

Steps to Reproduce:
1.  Sync a red hat RHEL repo that contains productid file
2.  Publish the repo

  
Actual results:
productid file does not exist in the published repo

Expected results:
productid should exist in the published repo
Comment 1 Justin Sherrill 2013-05-10 12:07:59 EDT
To clarify, this is a bit more complicated.

On a synced repo it is preserved.  However, when making a 'clone' of the repo, there is no way (that i can see) to copy the productid to the new repo.

So i would amend the steps to reproduce:



Steps to Reproduce:
1.  Sync a red hat RHEL repo that contains productid file
2.  Copy all units from one repo to a new one
3.  Publish the new repo
Comment 2 Sayli Karmarkar 2013-05-15 11:54:02 EDT
Justin, Can you create a separate bug for copy issue and cc me on it? It is a different and more complicated issue and needs to be aligned differently. 

Thanks,
Comment 3 Sayli Karmarkar 2013-05-15 15:38:04 EDT
Looks like the issue in the main description of the bug does not exist. https://bugzilla.redhat.com/show_bug.cgi?id=961875#c1 is the actual bug. Updated bug summary accordingly.
Comment 4 Justin Sherrill 2013-06-03 15:02:54 EDT
blocker for Satellite MDP1 without product ids, provisioned RHEL systems cannot access RHEL content.
Comment 5 Preethi Thomas 2013-06-14 08:48:42 EDT
 pic.POST('/v2/repositories/rhel-copy/actions/associate/',body={'source_repo_id' : 'rhel6-2','criteria': { 'type_ids' : ['yum_repo_metadata_file'],  'filters' : { 'unit' : {  }},  }})
Request Body
{
  "source_repo_id": "rhel6-2", 
  "criteria": {
    "type_ids": [
      "yum_repo_metadata_file"
    ], 
    "filters": {
      "unit": {}
    }
  }
}
Response Body
{
  "task_group_id": null, 
  "call_request_id": "0eeb7a36-bb50-437d-abc0-fe5ac4f44deb", 
  "exception": null, 
  "_href": "/pulp/api/v2/tasks/0eeb7a36-bb50-437d-abc0-fe5ac4f44deb/", 
  "task_id": "0eeb7a36-bb50-437d-abc0-fe5ac4f44deb", 
  "call_request_tags": [
    "pulp:repository:rhel-copy", 
    "pulp:repository:rhel6-2", 
    "pulp:action:associate"
  ], 
  "reasons": [], 
  "start_time": null, 
  "traceback": null, 
  "schedule_id": null, 
  "finish_time": null, 
  "state": "waiting", 
  "result": null, 
  "dependency_failures": {}, 
  "call_request_group_id": null, 
  "progress": {}, 
  "principal_login": "admin", 
  "response": "accepted", 
  "tags": [
    "pulp:repository:rhel-copy", 
    "pulp:repository:rhel6-2", 
    "pulp:action:associate"
  ]
}
(202, {u'task_group_id': None, u'call_request_id': u'0eeb7a36-bb50-437d-abc0-fe5ac4f44deb', u'exception': None, u'_href': u'/pulp/api/v2/tasks/0eeb7a36-bb50-437d-abc0-fe5ac4f44deb/', u'task_id': u'0eeb7a36-bb50-437d-abc0-fe5ac4f44deb', u'call_request_tags': [u'pulp:repository:rhel-copy', u'pulp:repository:rhel6-2', u'pulp:action:associate'], u'reasons': [], u'start_time': None, u'traceback': None, u'schedule_id': None, u'finish_time': None, u'state': u'waiting', u'result': None, u'dependency_failures': {}, u'call_request_group_id': None, u'progress': {}, u'principal_login': u'admin', u'response': u'accepted', u'tags': [u'pulp:repository:rhel-copy', u'pulp:repository:rhel6-2', u'pulp:action:associate']})
>>> 



[root@ibm-x3550m3-09 ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+

Id:                  rhel6-2
Display Name:        rhel6-2
Description:         None
Content Unit Counts: 
  Distribution:           1
  Erratum:                1048
  Package Category:       10
  Package Group:          202
  Rpm:                    7281
  Yum Repo Metadata File: 1


Id:                  rhel-copy
Display Name:        rhel-copy
Description:         None
Content Unit Counts: 
  Distribution:           1
  Erratum:                1048
  Package Category:       10
  Package Group:          202
  Rpm:                    7281
  Yum Repo Metadata File: 1


[root@ibm-x3550m3-09 ~]#
Comment 6 Preethi Thomas 2013-06-14 09:00:24 EDT
Original repo


[root@ibm-x3550m3-09 ~]# ls -l /var/lib/pulp/published/https/repos/content/dist/rhel/rhui/server/6/6.2/x86_64/os/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml 
-rw-r--r--. 1 apache apache 2159 Jun 13 16:43 /var/lib/pulp/published/https/repos/content/dist/rhel/rhui/server/6/6.2/x86_64/os/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml



[root@ibm-x3550m3-09 ~]# cat /var/lib/pulp/published/https/repos/content/dist/rhel/rhui/server/6/6.2/x86_64/os/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml 
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
[root@ibm-x3550m3-09 ~]# 



copied repo

[root@ibm-x3550m3-09 ~]# ls -l /var/lib/pulp/published/https/repos/rhel-copy/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml 
-rw-r--r--. 1 apache apache 2159 Jun 14 07:50 /var/lib/pulp/published/https/repos/rhel-copy/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml
[root@ibm-x3550m3-09 ~]# 





[root@ibm-x3550m3-09 ~]# cat /var/lib/pulp/published/https/repos/rhel-copy/repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml 
-----BEGIN CERTIFICATE-----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-----END CERTIFICATE-----
Comment 7 Preethi Thomas 2013-06-14 09:29:03 EDT
[root@ibm-x3550m3-09 ~]# cat /var/lib/pulp/published/https/repos/content/dist/rhel/rhui/server/6/6.2/x86_64/os/repodata/repomd.xml |grep productid
<data type="productid">
  <location href="repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml"/>
[root@ibm-x3550m3-09 ~]# 
[root@ibm-x3550m3-09 ~]# 
[root@ibm-x3550m3-09 ~]# cat /var/lib/pulp/published/https/repos/rhel-copy/repodata/repomd.xml |grep productid
<data type="productid">
  <location href="repodata/7b1e1e2df060d31a9af15eec907370fb5c2b09ca520a0505904311d255b5de41-productid.xml"/>
[root@ibm-x3550m3-09 ~]#
Comment 8 Preethi Thomas 2013-06-14 09:47:00 EDT
marking verified
[root@ibm-x3550m3-09 ~]# rpm -q pulp-server
pulp-server-2.1.2-0.2.beta.el6.noarch
[root@ibm-x3550m3-09 ~]# 

https://bugzilla.redhat.com/show_bug.cgi?id=961875#c5
https://bugzilla.redhat.com/show_bug.cgi?id=961875#c6
https://bugzilla.redhat.com/show_bug.cgi?id=961875#c7
Comment 9 Preethi Thomas 2013-09-10 11:45:50 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.